package cc.fascinated.bat.command;

/**
 * @author Fascinated (fascinated7)
 */

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.dv8tion.jda.api.entities.emoji.Emoji;

/**
 * The category of the command
 */
@AllArgsConstructor @Getter
public enum Category {
    GENERAL(Emoji.fromUnicode("U+2699"), "General"),
    FUN(Emoji.fromFormatted("U+1F973"), "Fun"),
    SERVER(Emoji.fromFormatted("U+1F5A5"), "Server"),
    UTILITY(Emoji.fromFormatted("U+1F6E0"), "Utility"),
    BEAT_SABER(Emoji.fromFormatted("U+1FA84"), "Beat Saber");

    /**
     * The emoji for the category
     */
    private final Emoji emoji;

    /**
     * The name of the category
     */
    private final String name;

    public static Category getByName(String name) {
        for (Category category : Category.values()) {
            if (category.getName().equalsIgnoreCase(name)) {
                return category;
            }
        }
        return null;
    }
}
