package cc.fascinated.bat.command.impl.fun;

import cc.fascinated.bat.command.BatCommand;
import cc.fascinated.bat.command.Category;
import cc.fascinated.bat.common.EmbedUtils;
import cc.fascinated.bat.common.WebRequest;
import cc.fascinated.bat.model.BatGuild;
import cc.fascinated.bat.model.BatUser;
import cc.fascinated.bat.model.token.dogceo.RandomImage;
import lombok.NonNull;
import net.dv8tion.jda.api.entities.Member;
import net.dv8tion.jda.api.entities.channel.middleman.MessageChannel;
import net.dv8tion.jda.api.interactions.commands.SlashCommandInteraction;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class DogCommand extends BatCommand {
    public DogCommand() {
        super(Category.FUN, "dog", "Get a random dog image");
    }

    @Override
    public void execute(BatGuild guild, @NonNull BatUser user, @NonNull MessageChannel channel, Member member, @NonNull SlashCommandInteraction interaction) {
        RandomImage responseEntity = WebRequest.getAsEntity("https://dog.ceo/api/breeds/image/random", RandomImage.class);
        if (responseEntity == null) {
            interaction.reply("Failed to get a dog image!").queue();
            return;
        }

        interaction.replyEmbeds(EmbedUtils.genericEmbed()
                .setAuthor("Here's a random dog image!")
                .setImage(responseEntity.getMessage())
                .build()).queue();
    }
}
