package cc.fascinated.bat.common;

import lombok.experimental.UtilityClass;

import java.text.NumberFormat;

/**
 * @author Fascinated (fascinated7)
 */
@UtilityClass
public class NumberUtils {
    /**
     * Formats a number with commas.
     * <p>
     *     Example: 1000 -> 1,000 | Example: 1000.5 -> 1,000.5
     * </p>
     *
     * @param number the number to format
     * @return the formatted number
     */
    public static String formatNumberCommas(double number) {
        NumberFormat format = NumberFormat.getNumberInstance();
        format.setGroupingUsed(true);
        format.setMaximumFractionDigits(2);
        return format.format(number);
    }
}
