package cc.fascinated.bat.features.autorole.command;

import cc.fascinated.bat.command.BatCommand;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("autoroles.command")
public class AutoRoleCommand extends BatCommand {
    public AutoRoleCommand(@NonNull ApplicationContext context) {
        super("autorole", "Set up the automatic role system for members on join", true, Permission.MANAGE_SERVER);

        super.addSubCommand("list", context.getBean(ListSubCommand.class));
        super.addSubCommand("add", context.getBean(AddSubCommand.class));
        super.addSubCommand("remove", context.getBean(RemoveSubCommand.class));
        super.addSubCommand("clear", context.getBean(ClearSubCommand.class));
    }
}
