package cc.fascinated.bat.features.birthday.command;

import cc.fascinated.bat.command.BatCommand;
import lombok.NonNull;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component
public class BirthdayCommand extends BatCommand {
    @Autowired
    public BirthdayCommand(@NonNull ApplicationContext context) {
        super("birthday", "Modify your birthday settings.", true);

        super.addSubCommand("set", context.getBean(SetSubCommand.class));
        super.addSubCommand("remove", context.getBean(RemoveSubCommand.class));
        super.addSubCommand("channel", context.getBean(ChannelSubCommand.class));
        super.addSubCommand("message", context.getBean(MessageSubCommand.class));
    }
}
