package cc.fascinated.bat.features.scoresaber.command.userfeed;

import cc.fascinated.bat.command.BatCommand;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("scoresaber-user-feed.command")
public class UserFeedCommand extends BatCommand {
    public UserFeedCommand(@NonNull ApplicationContext context) {
        super("scoresaber-user-feed", "Modifies the settings for the feed.", true, Permission.MANAGE_SERVER);

        super.addSubCommand("user", context.getBean(UserSubCommand.class));
        super.addSubCommand("channel", context.getBean(ChannelSubCommand.class));
        super.addSubCommand("reset", context.getBean(ResetSubCommand.class));
    }
}
