package cc.fascinated.bat.features.scoresaber.profile;

import cc.fascinated.bat.common.Profile;
import cc.fascinated.bat.service.DiscordService;
import lombok.Getter;
import lombok.Setter;
import net.dv8tion.jda.api.entities.channel.concrete.TextChannel;

/**
 * @author Fascinated (fascinated7)
 */
@Getter @Setter
public class GuildNumberOneScoreFeedProfile extends Profile {
    /**
     * The channel ID of the score feed
     */
    private String channelId;

    public GuildNumberOneScoreFeedProfile() {
        super("scoresaber-number-one-score-feed");
    }

    /**
     * Gets the channel as a TextChannel
     *
     * @return the channel as a TextChannel
     */
    public TextChannel getAsTextChannel() {
        return DiscordService.JDA.getTextChannelById(channelId);
    }

    @Override
    public void reset() {
        this.channelId = null;
    }
}
